Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QSystemLocale

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QSystemLocale

All Implemented Interfaces:
  QtJambiInterface

    public class QSystemLocale

extends QtJambiObject

The `QSystemLocale` class can be used to finetune the system locale of the user.

Warning: This class is only useful in very rare cases. Usually `QLocale` offers all the functionality required for application development.

`QSystemLocale` allows to override the values provided by the system locale (QLocale::system()).

See Also:
  `QLocale`

Nested Class Summary
`static class` | `QSystemLocale.QueryType` Specifies the type of information queried by `query`.

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QSystemLocale()` Constructs a `QSystemLocale` object.

Method Summary
`QLocale` | `fallbackLocale()` Returns a fallback locale, that will get used for everything that is not explicitly overridden by the system locale.
`static QSystemLocale` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QSystemLocale instance pointed to by nativePointer
`java.lang.Object` | `query(QSystemLocale.QueryType type, java.lang.Object in)` Performs a query of the given `type` in the system locale for customized values or conversion.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QSystemLocale

    public QSystemLocale()

  Constructs a `QSystemLocale` object. The constructor will automatically install this object as the system locale and remove any earlier installed system locales.

Method Detail

### fallbackLocale

    public QLocale fallbackLocale()

  Returns a fallback locale, that will get used for everything that is not explicitly overridden by the system locale.

### query

    public java.lang.Object query(QSystemLocale.QueryType type,
                                  java.lang.Object in)

  Performs a query of the given `type` in the system locale for customized values or conversion. If the method returns a null `QVariant`, the conversion of the `fallbackLocale` will be used.

  `in` is unused for some of the query types.

  See Also:
    `QSystemLocale::QueryType`

### fromNativePointer

    public static QSystemLocale fromNativePointer(QNativePointer nativePointer)

  This function returns the QSystemLocale instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD